Package edu.msu.cme.rdp.classifier.train.validation.crossvalidate

# Class CrossValidate

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.crossvalidate.CrossValidate

public class CrossValidate extends Object

## Constructor Summary

Constructors
Constructor
Description
`CrossValidate()`

## Method Summary

Modifier and Type
Method
Description
`String`
`calErrorRate(ArrayList<HashMap> statusCountList)`
sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)
`ArrayList<HashMap>`
`runTest(File tax_file, File source_file, File out_file, String rdmSelectedRank, float fraction, Integer partialLength, boolean useSeed, int min_bootstrap_words)`
The method randomly selects a fraction of sequences from the source file as test set, used the remaining sequences from the source file as training set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CrossValidate

public CrossValidate()

## Method Details

### runTest

public ArrayList<HashMap> runTest(File tax_file, File source_file, File out_file, String rdmSelectedRank, float fraction, Integer partialLength, boolean useSeed, int min_bootstrap_words) throws IOException
The method randomly selects a fraction of sequences from the source file as test set, used the remaining sequences from the source file as training set.

Parameters:
  `tax_file` -
  `source_file` -
  `selectedTestSeqIDs` -
Throws:
  `IOException`

### calErrorRate

public String calErrorRate(ArrayList<HashMap> statusCountList)
sensitivity = #TP / (#TP + #FN) specificity = #TN / (#TN + #FP)

Parameters:
  `statusCountList` -